RDF::Trine::Serializer::RDFPatch(3pm)

NAME
RDF::Trine::Serializer::RDFPatch - RDF-Patch Serializer

VERSION
This document describes RDF::Trine::Serializer::RDFPatch version 1.007

SYNOPSIS
 use RDF::Trine::Serializer::RDFPatch;
 my $serializer = RDF::Trine::Serializer::RDFPatch->new();

DESCRIPTION
The RDF::Trine::Serializer::RDFPatch class provides an API for serializing RDF graphs to the RDF-Patch syntax.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Serializer class.

"new"
    Returns a new RDF-Patch serializer object.

"serialize_model_to_file ( $fh, $model )"
    Serializes the $model to RDF-Patch, printing the results to the supplied filehandle "<$fh">.

"serialize_model_to_string ( $model )"
    Serializes the $model to RDF-Patch, returning the result as a string.

"serialize_iterator_to_file ( $file, $iter )"
    Serializes the iterator to RDF-Patch, printing the results to the supplied filehandle "<$fh">.

"serialize_iterator_to_string ( $iter )"
    Serializes the iterator to RDF-Patch, returning the result as a string.

NOTES
As described in "as_ntriples" in RDF::Trine::Node::Resource, serialization will decode any punycode <http://www.ietf.org/rfc/rfc3492.txt> that is included in the IRI, and serialize it using unicode codepoint escapes.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://afs.github.io/rdf-patch/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.